#\u9879\u76EE\u540D\u79F0
spring.application.name=i3mes
#\u4F7F\u7528\u914D\u7F6E
spring.profiles.active=docker,cus-docker
######### \u81EA\u5B9A\u4E49\u53C2\u6570 #########
#\u9879\u76EE\u63CF\u8FF0\u4FE1\u606F\uFF08swagger\u4E2D\u663E\u5F0F\uFF09\uFF0C\u4E2D\u6587\u4F7F\u7528uncode\u8F6C
desc.application.name=生产执行系统
######### \u81EA\u5B9A\u4E49\u53C2\u6570 #########
#\u5F53\u524D\u9879\u76EE\u7248\u672C
version=${project.version}
#\u89E3\u51B3\u7A0B\u5E8F\u8BFB\u914D\u7F6E\u6587\u4EF6\u4E71\u7801\u95EE\u9898
spring.message.encoding=UTF-8 
######## \u901A\u7528\u8BBE\u7F6E #######
#\u542F\u52A8\u65F6\u52A0\u8F7D\uFF0C\u9884\u52A0\u8F7Dcontroller
spring.mvc.servlet.load-on-startup=1
#\u662F\u5426\u5141\u8BB8\u524D\u7AEF\u8DE8\u57DF\u63D0\u4EA4impp.web.cross.hosts
impp.web.cross=true
#\u4E0A\u4F20\u5355\u4E2A\u6587\u4EF6\u5927\u5C0F
spring.servlet.multipart.max-file-size=10MB
#request\u8BF7\u6C42\u5168\u90E8\u6570\u636E\u6700\u5927\u9650\u5236
spring.servlet.multipart.max-request-size=600MB
#\u662F\u5426\u63A8\u8FDF\u6587\u4EF6\u89E3\u6790\uFF0Ctrue\u5219\u63A5\u53D7\u5B8C\u540E\u518D\u89E3\u6790
spring.servlet.multipart.resolve-lazily=true
########## \u9875\u9762\u914D\u7F6E ########
#\u8BBF\u95EE\u76F8\u5173\u914D\u7F6E
server.tomcat.uri-encoding=UTF-8
#Spring boot\u89C6\u56FE\u914D\u7F6E
spring.mvc.view.prefix=/upload_demo
spring.mvc.view.suffix=.jsp
#\u9759\u6001\u6587\u4EF6\u8BBF\u95EE\u914D\u7F6E
spring.resources.static-locations=/static/**,/**
########\u626B\u5305\u8DEF\u5F84########
#app\u57FA\u7840\u5305\u8DEF\u5F84
impp.app.base-packages=cn.estsh.i3plus.mes
impp.app.ext.base-packages=cn.estsh.i3plus.ext.mes.apiservice
#app\u5BF9\u8C61\u8DEF\u5F84
impp.app.pojo-packages=cn.estsh.i3plus.pojo.mes
impp.app.ext.pojo-packages=cn.estsh.i3plus.ext.mes.pojo.**
#dao\u63A5\u53E3\u5305
impp.app.pojo-dao=${impp.app.base-packages}.apiservice.dao
impp.app.ext.pojo-dao=${impp.app.ext.base-packages}.dao
#mongo-dao\u63A5\u53E3\u5305
impp.app.pojo-mongo-dao=${impp.app.base-packages}.**.apiservice.daomongo
#\u5BF9\u8C61\u6301\u4E45\u5316\u5305\u8DEF\u5F84\uFF0C\u53EF\u4EE5\u591A\u4E2A\u5305\uFF0C\u9017\u53F7\u5206\u9694
impp.app.pojo-repository=${impp.app.pojo-packages}.**.repository
impp.app.ext.pojo-repository=${impp.app.ext.pojo-packages}.repository
#mongodb\u8D44\u6E90\u4ED3go
impp.app.pojo-mongo-repository=${impp.app.pojo-packages}.**.repositorymongo
#\u7528\u6237\u6388\u6743\u8FC7\u6EE4\u8DEF\u5F84
filter.shiro.user.filteruri=/mes/operate/**
#\u7528\u6237\u6388\u6743\u8FC7\u6EE4\u8DEF\u5F84
filter.shiro.admin.filteruri=/mes/adoperate/*
#\u7528\u6237\u6388\u6743\u8FC7\u6EE4\u8DEF\u5F84
filter.shiro.saadmin.filteruri=/mes/saoperate/*
################ redis\u8F85\u52A9\u8BBE\u7F6E ################
#\u662F\u5426\u5F00\u542Fredis
core.redis.open=true
#\u8D44\u6E90\u4FE1\u606F\u4EE5\u53CA\u5F02\u5E38\u3001\u6388\u6743\u529F\u80FD\u3001\u6309\u94AE\u3001\u6A21\u5757\u7B49
redis.resource.db=0
#\u7528\u6237\u4F1A\u8BDD\u7F13\u5B58\u5E93
redis.session.db=1
#mes\u7F13\u5B58\u5E93
redis.mes.db=4